@import url('https://fonts.googleapis.com/css2?family=Grenze+Gotisch:wght@100..900&family=IM+Fell+English+SC&family=New+Tegomin&display=swap');


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "IM Fell English SC", serif;

}
body {
  background-image: url(fondo2.png);
  background-attachment: fixed;
  background-size: cover; 
  background-position: center; 
  background-repeat: no-repeat;
  margin: 35px;
  color: #37446b;
}

hr{ /*lineas*/
    border: none;
    height: 3.5px;
    background-color: #37446b;
    margin: 20px 0;
    clear: both;
}
/*encabezado*/
.header {
  width: 100%;
  height: 60px;
}

.container .btn-menu, .logo {
  float: left;
}
.container .btn-menu label {
  color: #37446b;
  font-size: 34px;
  cursor: pointer;
}
.logo h1 {
  color: #37446b;
  font-weight: 400;
  font-size: 34px;
  margin-left: 10px; margin-top: 5px;
}
.container .menu {
  float: right;
  padding-bottom: 15px;
}

.container .menu a {
  padding: 15px;
  text-decoration: none;
  color: #37446b;
  transition: all 0.3s ease;
  border-bottom: 2px solid transparent;
  font-size: 34px;
  margin-right: 5px;
}
.container .menu a:hover {
  border-bottom: 2px solid #37446b;
  padding-bottom: 5px;
}
/*Fin encabezado*/

/*Menu lateral*/
#btn-menu {
  display: none;
}

.container-menu { /*fondo oscuro*/
  position: absolute;
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transition: all 500ms ease;
  opacity: 0;
  visibility: hidden;
}
#btn-menu:checked ~ .container-menu {
  opacity: 1;
  visibility: visible;
}

.cont-menu { /*menu oculto*/
  width: 100%;
  max-width: 300px;
  background: #252f47;
  height: 100%;
  position: relative;
  transition: all 500ms ease;
  transform: translateX(-100%);
}

#btn-menu:checked ~ .container-menu .cont-menu {
  transform: translateX(0%);
}
.cont-menu nav {
  transform: translateY(15%);
}
body:has(#btn-menu:checked) {
  overflow: hidden;
}
.cont-menu nav a {
  display: block;
  text-decoration: none;
  padding: 20px;
  color: #7996b1;
  border-left: 5px solid transparent;
  transition: all 400ms ease;
  font-size: 24px;
}
.cont-menu nav a:hover {
  border-left: 5px solid #5d6783;
  background: #384564;
}
.cont-menu label {
  position: absolute;
  right: 5px;
  top: 10px;
  color: #fff;
  cursor: pointer;
  font-size: 24px;
}
/*fin menu lateral*/

/* Responsive menu */
@media (max-width: 900px) {
  .header {
    height: 50px;
  }
  .container .btn-menu label, .logo h1, .container .menu a {
    font-size: 25px;
  }
  .cont-menu {
    max-width: 280px;
  }
  .cont-menu nav a {
    font-size: 20px;
  }
  .cont-menu label {
    font-size: 25px;
  }
  .container{ 
    display: flex;
    flex-direction: column;
  }
  .container .menu a {
    margin-top: 15px;
    border-top: 3px solid #37446b;
    float: left;
  }
  #inicio{
    padding-top: 50px;
  }
}

@media (max-width: 450px) {
  .header {
    height: 40px;
  }
  #inicio{
    padding-top: 140px;
  }
}




section{
    color: #37446b;
    font-size: 24px;
    text-align: justify;
}
.centro{
    justify-self: center;
    text-align: center;
    font-family: "Grenze Gotisch";
    column-span: all;
}
.row{
    column-count: 3;
    column-gap: 20px;
    gap: 35px;
    margin: 15px 0;
    column-span: all;
}
section {
  font-size: 48px;
}
section p{
  font-size: 30px;
}
footer p{
  font-size: 20px;
}

@media (max-width: 950px) {
  section {
    font-size: 38px;
  }

  section p{
    font-size: 20px;
  }

  footer p{
    font-size: 15px;
  }

  .row{
    column-count: 2;
    column-gap: 20px;
    gap: 35px;
    margin: 15px 0;
    column-span: all;
  }

  .filas{
    flex-wrap: wrap;
  }

  .secciones, .secciones2{
    flex: 0 0 50%; 
  }
}


@media (max-width: 500px){
  .secciones, .secciones2{
    flex: 0 0 100%; 
  }
}

.filas{
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  flex-flow: row;
  gap: 10px;
}
.secciones, .secciones2{
    position: relative;
    overflow: hidden;
}


.texto{
    position: absolute;
    bottom: -100%;
    left: 50%;
    transform: translateX(-50%);
    
    background: rgba(0,0,0,0.8);
    color: white;
    padding: 8px 15px;
    border-radius: 8px;
    font-size: 14px;

    transition: 0.4s;
}




.secciones:hover .texto,
.secciones2:hover .texto{
    bottom: 10px;
}
.filas{
    display: flex;
    width: 100%;
}

.secciones, .secciones2{
    flex: 1; 
    position: relative;
    overflow: hidden;
}

.secciones img, .secciones2 img{
    width: 100%;
    height: 400px; 
    object-fit: cover;
}
.titulo{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    
    background: rgba(0,0,0,0.7);
    color: white;
    text-align: center;
    padding: 5px;
    font-size: 14px;
}

.filas{
    display: flex;
    flex-wrap: wrap; 
    width: 100%;
}

.secciones, .secciones2{
    flex: 1;
    min-width: 200px; 
}

/* TABLET */
@media (max-width: 900px){
    .secciones, .secciones2{
        flex: 0 0 50%; 
    }
}


@media (max-width: 500px){
    .secciones, .secciones2{
        flex: 0 0 100%; 
    }
}
.filas{
    gap: 10px;
    padding: 10px;
}
.cont-menu {
  z-index: 10000;
  position: relative;
}
.container-menu {
  position: fixed;
  z-index: 9999;
}

.cont-menu {
  position: fixed;   
  z-index: 10000;    
}   
.secciones, .secciones2{
  overflow: hidden;
}
.container-menu,
.cont-menu {
  will-change: transform;
}